安装NET-SNMP 5.7版本make最后出现libnetsnmpagent

今天晚上本来给自己服务器加上个监控SNMP。以前的Centos的版本。这次是用的Debian系统。下载了安装后在make的时候最后一句出现了make[1]: *** [libnetsnmpagent.la] Error 1 

出现这个问题好像perl的事情。没有安装 libperl-dev 

然后通过apt-get来安装

1. 需要安裝 Perl
sudo apt-get install perl libperl-dev

2. 修改 /etc/ld.so.conf,增加下列內容
/lib
/usr/lib
/usr/local/lib

3.重新读取  library database
sudo ldconfig
4.安裝 Net-SNMP
make all
make install

5.测试 snmptrap 是否存在

snmptrap

这样就大功告成了!又遇到这个问题的童鞋试下这个方法!

相关文章

已有 3 条评论
  1. 白金汉宫在哪个国家

    大功告成,好感动。

    白金汉宫在哪个国家 回复
  2. Cheap Jordans

    You actually make it seem so easy with your presentation but I find this topic to be actually something which I think I would never understand. It seems too complicated and extremely broad for me. I am looking forward for your next post, I抣l try to get the hang of it!

    Cheap Jordans 回复
  3. CAD2007下载

    学习了。{smile:22}

    CAD2007下载 回复
发表新评论